 # Categories that GitLab has offerings in. Drives /handbook/product/categories

# Format description and documentation for this file is in the handbook
# https://about.gitlab.com/handbook/marketing/inbound-marketing/digital-experience/website/#working-with-stages-groups-and-categories

# Manage

subgroups:
  name: "Subgroups"
  stage: manage
  feature_labels:
    - group templates
    - subgroups
  documentation: https://docs.gitlab.com/ee/user/group/subgroups/
  direction: /direction/manage/subgroups/
  description: "Organize your projects and restrict access to controlled resources."
  roi: false
  marketing: true
  available: 2017-03-22
  viable: 2018-01-01
  complete: 2019-01-01
  lovable: 2021-12-31
  maturity: complete
  priority_level: high

templates:
  name: "Templates"
  label: "Category:Templates"
  documentation: https://docs.gitlab.com/ee/user/group/custom_project_templates
  direction: /direction/manage/templates/
  stage: manage
  description: "Get new projects hitting the ground running with extensible, reusable templates."
  roi: false
  marketing: false
  priority_level: low

audit_events:
  name: "Audit Events"
  stage: manage
  documentation: https://docs.gitlab.com/ee/administration/audit_events.html
  direction: /direction/manage/compliance/audit-events/
  description: "Track important events for review and compliance such as who performed certain actions and the time they happened."
  roi: false
  available: 2017-01-01
  viable: 2018-11-22
  complete: 2022-01-22
  lovable:
  maturity: viable
  marketing: true
  hiring_plan_eoyfy20_be: 1
  hiring_plan_eoyfy20_fe: 0.5 # be/2
  hiring_plan_eoyfy20_ux: 0.17 # (be+fe)/9
  hiring_plan_eoyfy20_qa: 0.11 # (be+fe)/14
  priority_level: high

audit_reports:
  name: "Audit Reports"
  stage: manage
  documentation: https://docs.gitlab.com/ee/administration/audit_reports.html
  direction: /direction/manage/compliance/audit-reports/
  roi: false
  available: 2020-06-22
  viable: 2022-04-22
  complete:
  lovable:
  maturity: minimal
  new_maturity: true
  marketing: true
  priority_level: medium

compliance_management:
  name: "Compliance Management"
  stage: manage
  # TODO: Placeholder documentation to allow linting rule to be committed; replace with proper link
  documentation: https://docs.gitlab.com/ee/administration/compliance.html
  direction: /direction/manage/compliance/compliance-management/
  description: "Provide customers with the tools and features necessary to manage their compliance programs."
  roi: false
  available: 2020-01-22
  viable: 2022-01-22
  complete: 2023-01-22
  lovable: 2024-01-12
  maturity: minimal
  new_maturity: true
  marketing: true
  priority_level: high

authentication_and_authorization:
  name: "Authentication and Authorization"
  stage: manage
  feature_labels:
    - 2FA
    - authentication # TODO: Migrate this to Category:Authentication and Authorization
    - authorization # TODO: Migrate this to Category:Authentication and Authorization
    - ldap
    - oauth
    - saml
  documentation: https://docs.gitlab.com/ee/administration/auth/
  direction: /direction/manage/auth/
  description: "GitLab features multiple auth mechanisms including LDAP (including Active Directory), OmniAuth, CAS, SAML, Okta, and Authentiq."
  roi: true
  available: 2017-10-01
  viable: 2018-06-22
  complete: 2019-08-22
  lovable:
  maturity: complete
  marketing: false
  hiring_plan_eoyfy20_be: 2
  hiring_plan_eoyfy20_fe: 0.5
  hiring_plan_eoyfy20_ux: 0.28 # (be+fe)/9
  hiring_plan_eoyfy20_qa: 0.18 # (be+fe)/14
  priority_level: high

users:
  name: "Users"
  stage: manage
  feature_labels:
    - user management # TODO: Migrate this to Category:Users
    - user profile
    - user creation
    - user settings
  documentation: https://docs.gitlab.com/ee/user/profile/
  direction: /direction/manage/users/
  description: "Managing who's using your instance and what they can do with user management tools, permissions, and user profiles."
  roi: false
  marketing: false # not "available" as a capability for customers
  priority_level: low

code_analytics:
  name: "Code Analytics"
  stage: manage
  feature_labels:
    - analytics
  # TODO: Placeholder documentation to allow linting rule to be committed; replace with proper link
  documentation: https://docs.gitlab.com/ee/user/analytics/code_review_analytics/
  direction: /direction/manage/code-analytics/
  description: ""
  roi: false
  available: 2020-01-22
  viable: 2022-01-22
  complete: 2023-08-22
  lovable: 2023-11-22
  maturity: minimal
  new_maturity: true
  marketing: true
  hiring_plan_eoyfy20_be: 1
  hiring_plan_eoyfy20_fe: 1
  hiring_plan_eoyfy20_ux: 0.22 # (be+fe)/9
  hiring_plan_eoyfy20_qa: 0.14 # (be+fe)/14
  priority_level: low

devops_reports:
  name: "DevOps Reports"
  stage: manage
  feature_labels:
    - convdev
    - devops score
  documentation: https://docs.gitlab.com/ee/user/admin_area/analytics/dev_ops_report.html
  direction: /direction/manage/devops-reports/
  description: "Get an overview of how well your organization is adopting DevOps and to see the impact on your velocity."
  roi: false
  available: 2017-01-01
  viable: 2021-10-22
  complete: 2022-07-22
  lovable: 2023-11-22
  maturity: minimal
  new_maturity: true
  marketing: true
  priority_level: high

importers:
  name: "Importers"
  label: "Category:Importers"
  stage: manage
  feature_labels:
    - import
    - project export
    - project import
  description: "Import existing work into GitLab from a wide variety of sources."
  documentation: https://docs.gitlab.com/ee/user/project/import/
  direction: /direction/manage/importers/
  marketing: false
  roi: false
  priority_level: high

planning_analytics:
  name: "Planning Analytics"
  stage: manage
  documentation: https://docs.gitlab.com/ee/user/group/issues_analytics/
  direction: /direction/manage/planning-analytics/
  description: "Gather insights about how your organization is planning and prioritizing across projects and groups."
  roi: false
  available: 2018-11-22
  viable: 2022-04-22
  complete: 2022-08-22
  lovable: 2022-11-22
  maturity: minimal
  marketing: false
  priority_level: low

internationalization:
  name: "Internationalization"
  label: "Category:Internationalization"
  stage: manage
  documentation: https://docs.gitlab.com/ee/development/i18n/
  direction: /direction/manage/internationalization/
  description: "Support for crowd-sourced internationalization of GitLab."
  marketing: false
  roi: false
  hiring_plan_eoyfy20_be: 0.5
  hiring_plan_eoyfy20_fe: 0.25 # be/2
  hiring_plan_eoyfy20_ux: 0.08 # (be+fe)/9
  hiring_plan_eoyfy20_qa: 0.05 # (be+fe)/14
  priority_level: low

value_stream_management:
  name: "Value Stream Management"
  stage: manage
  feature_labels:
    - value stream analytics
  documentation: https://docs.gitlab.com/ee/user/analytics/value_stream_analytics
  marketing_page: /solutions/value-stream-management/
  direction: /direction/manage/value_stream_management/
  description: "Visualize, manage and optimize the flow of work through the DevOps lifecycle value stream."
  roi: false
  available: 2017-01-01
  viable: 2020-10-22
  complete: 2022-01-22
  lovable: 2023-11-18
  maturity: viable
  new_maturity: true
  marketing: true
  hiring_plan_eoyfy20_be: 1
  hiring_plan_eoyfy20_fe: 0.5 # be/2
  hiring_plan_eoyfy20_ux: 0.17 # (be+fe)/9
  hiring_plan_eoyfy20_qa: 0.11 # (be+fe)/14
  priority_level: high

insights:
  name: "Insights"
  stage: manage
  documentation: https://docs.gitlab.com/ee/user/group/insights/
  roi: false
  available: 2019-05-22
  viable: 2019-06-22
  complete:
  lovable:
  maturity: viable
  marketing: true

# Plan

issue_tracking:
  name: Issue Tracking
  stage: plan
  feature_labels:
    - filter bar
    - issue weight
    - issues
    - labels
    - markdown
    - milestones
    - notifications
    - quick actions
    - todos
  marketing_page:
  documentation: https://docs.gitlab.com/ee/user/project/issues/
  direction: /direction/plan/issue_tracking/
  description: "Plan, organize, and track project progress with issues, labels, weights (story points), milestones (sprints and releases), time tracking, due dates, and assignees using Scrum, Kanban, SAFe, and other methodologies."
  roi: true
  available: 2017-01-01
  viable: 2018-01-01
  complete: 2021-06-22
  lovable: 2021-12-22
  new_maturity: true
  maturity: viable
  marketing: true
  priority_level: high

time_tracking:
  name: "Time Tracking"
  stage: plan
  documentation: https://docs.gitlab.com/ee/user/project/time_tracking.html
  marketing_page: /solutions/time-tracking/
  direction: /direction/plan/time_tracking/
  description: "Estimate, track, and report on time spent on issues."
  roi: false
  available: 2016-11-22
  viable: 2018-01-01
  complete: 2021-12-22
  lovable: 2022-04-22
  maturity: viable
  marketing: true
  priority_level: low

boards:
  name: "Boards"
  stage: plan
  feature_labels:
    - epic boards
  label: Category:Boards
  marketing_page: /stages-devops-lifecycle/issueboard/
  documentation: https://docs.gitlab.com/ee/user/project/issue_board.html
  direction: /direction/plan/boards/
  description: "Visually prioritize, manage, and track work execution with powerful and flexible boards."
  roi: false
  available: 2017-01-01
  viable: 2018-01-01
  complete: 2021-06-22
  lovable: 2021-12-22
  maturity: viable
  marketing: true
  priority_level: high
  body: |
    ## Visualize and manage work

    ### Manage backlog and team WIP

    * Collaboratively track the flow of work.
    * Prioritize backlog and manage overall work in progress (WIP).
    * Eliminate silos and enable cross-functional sharing.

    ### Flexible Boards

    * Visualize the status of work across the lifecycle.
    * Manage, assign and track the flow of work.
    * Tailor board layout to match your workflow.

epics:
  name: "Epics"
  stage: plan
  feature_labels:
    - sub epics
    - epic boards
  marketing_page: /stages-devops-lifecycle/epics/
  documentation: https://docs.gitlab.com/ee/user/group/epics
  direction: /direction/plan/epics/
  description: "Plan upcoming work by creating Epics and mapping all relevant Issues to them. Create and track against multiple milestones at the portfolio level to see status overtime and review progress towards your goals"
  roi: false
  available: 2018-01-01
  viable: 2019-05-22
  complete: 2021-10-30
  lovable: 2022-03-30
  maturity: viable
  marketing: true
  priority_level: high
  body: |
    ## Plan and manage work between multiple groups and projects with Epics and Milestones

    ### Drive Alignment

    * Plan and deliver with clear objectives and timelines
    * Create and link multiple epics together to represent complex development plans
    * Map out time based delivery schedules and agile sprints with milestones

    ### Manage portfolio delivery

    * Communicate status and future changes
    * Prioritize epics to ensure alignment
    * Identify cross-project relationships
    * Track status and delivery

roadmaps:
  name: "Roadmaps"
  stage: plan
  marketing_page: /stages-devops-lifecycle/roadmaps/
  documentation : https://docs.gitlab.com/ee/user/group/roadmap/
  direction : /direction/plan/roadmaps/
  description: "Visually plan and map projects in a roadmap view which can be used for tracking and communication."
  roi: false
  available: 2018-01-01
  viable: 2021-09-28
  complete: 2021-12-30
  lovable: 2022-09-30
  maturity: minimal
  marketing: true
  priority_level: high
  body: |
    ## Visualize your portfolio and manage its delivery with Dynamic Roadmaps

    ### All the Information you need in one view

    * View your work against a timeline with our beautiful roadmaps
    * See milestones, start and due dates, and map your epics within them
    * See dependencies between work, helping to identify blockers quickly
    * Track an epics progress by weight on the roadmap

    ### Customizable

    * Create multiple roadmaps and customize them to show the work you are interested in tracking
    * Build a roadmap for each level of visibility you need in your business
    * Filter by label, team, milestone, or even by individual

    ### Update in Real Time

    * Interact with your roadmap, updating milestones delivery dates, epic details, and even issues
    * Expand or collapse epics to show the sub-epics and issues contained within
    * Reorder epic priority by dragging and dropping it on the timeline

service_desk:
  name: "Service Desk"
  stage: plan
  documentation: https://docs.gitlab.com/ee/user/project/service_desk.html
  marketing_page: /stages-devops-lifecycle/service-desk/
  direction: /direction/plan/service_desk/
  description: "Connect your team using GitLab issues, to external parties directly via email for feedback and support, with no additional tools required."
  roi: false
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2022-06-01
  lovable: 2023-06-01
  maturity: viable
  marketing: true
  priority_level: low

requirements_management:
  name: "Requirements Management"
  stage: plan
  documentation: https://docs.gitlab.com/ee/user/project/requirements/
  direction: /direction/plan/requirements_management/
  description: "Gather and manage the use cases and requirements to meet business objectives."
  roi: false
  available: 2020-02-22
  viable: 2021-08-22
  complete: 2022-06-22
  lovable: 2023-06-22
  maturity: minimal
  marketing: true
  priority_level: high

quality_management:
  name: "Quality Management"
  stage: plan
  documentation: https://docs.gitlab.com/ee/ci/test_cases/index.html
  direction: /direction/plan/quality_management/
  description: "Plan and track testing and quality of your product."
  roi: false
  available: 2020-11-22
  viable: 2021-07-22
  complete: 2022-06-22
  lovable: 2023-06-22
  maturity: minimal
  marketing: true
  priority_level: low

projects:
  name: "Projects"
  stage: plan
  description: "Access and manage your projects."
  documentation: https://docs.gitlab.com/ee/user/project/
  direction:
  marketing: false
  roi:
  priority_level:

design_management:
  name: "Design Management"
  stage: plan
  documentation: https://docs.gitlab.com/ee/user/project/issues/design_management.html
  direction: /direction/plan/design_management/
  description: "Upload design assets to GitLab issues for easy collaboration on designs with a single source of truth."
  roi: false
  available: 2019-08-22
  viable: 2020-12-22
  complete: 2022-02-22
  lovable: 2023-11-22
  maturity: viable
  new_maturity: true
  marketing: true
  priority_level: medium

# Create

navigation:
  name: "Navigation & Settings"
  stage: create
  description: "How users easily discover and configure product features."
  documentation:
  direction: /direction/create/navigation_settings/
  marketing: false
  roi:
  priority_level:

source_code_management:
  name: "Source Code Management"
  stage: create
  feature_labels:
    - encoding
    - forking
    - lfs
    - mirror
    - repository
  marketing_page: /stages-devops-lifecycle/source-code-management/
  documentation: https://docs.gitlab.com/ee/user/project/repository/
  direction: /direction/create/source_code_management/
  description: "Source code management enables coordination, sharing, and collaboration across an entire software development team. GitLab supports teams to rapidly collaborate and iterate on new features and deliver business value."
  link: https://gitlab.com/users/sign_in
  link_description: "Try GitLab free"
  roi: true
  available: 2011-10-08
  viable: 2012-08-24
  complete: 2015-09-22
  lovable: 2017-03-22
  maturity: lovable
  marketing: true
  priority_level: high
  body: |

    <div class="callout-box" style="margin-bottom: 60px;">
      <h2>Source code management is where development teams start sharing and collaboration begins</h2>
      <p>Version control in GitLab helps your development team collaborate and maximize productivity, sparking faster delivery and increased visibility. With its Git-based repository, GitLab enables clear code reviews, asset version control, feedback loops, and powerful branching patterns to help your developers solve problems and ship value. Source code management is a critical part of the DevOps lifecycle, enabling teams to manage their work with a single source of truth.</p>
    </div>

    ### Collaborate

    <table style="width:100%; border:0px">
    <tr>
      <td style="width:50%">
      <ul>
      <li>Review, comment, and improve code. </li>
      <li>Enable re-use and innersourcing.</li>
      <li>File locking prevents conflicts.</li>
      <li>Robust WebIDE accelerates development on any platform.</li>
      </ul></td>
      <td rowspan="4"><img src="/images/feature_page/screenshots/56-web-ide.png"></td>
    </tr>
    </table>

    ### Accelerate
    <table style="width:100%; border:0px">
    <tr>
      <td style="width:50%">
      <ul>
      <li>Git-based repository enables developers to work from a local copy.</li>
      <li>Branch code, make changes, and merge into the main branch.</li>
      <li>Built-in Continuous Integration (CI) and Continuous Delivery (CD) streamlines testing and delivery.</li>
      </ul></td>
      <td rowspan="4"><img src="/images/feature_page/screenshots/18-repo-graph.png"></td>
    </tr>
    </table>

    ### Compliant and Secure
    <table style="width:100%; border:0px">
    <tr>
      <td style="width:50%">
      <ul>
      <li>Review, track, and approve code changes with powerful merge requests.</li>
      <li>Automatically scan for code quality and security with every commit.</li>
      <li>Simplify auditing and compliance with granular access controls and reporting.</li>
      </ul></td>
      <td rowspan="4"><img src="/images/feature_page/screenshots/46-mr-approvals.png"></td>
    </tr>
    </table>

    <div class="text-center" style="margin-top: 50px;">
     <h3>Want to know where we're headed?</h3>
     <p><a href="/direction/create/source_code_management/">Learn about the future of source code management</a></p>
    </div>

code_review:
  name: "Code Review"
  stage: create
  feature_labels:
    - image diff
    - diff
    - approvals
    - merge requests
  marketing_page: /stages-devops-lifecycle/code-review/
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/
  direction: /direction/create/code_review/
  description: "Review code, discuss changes, share knowledge, and identify defects in code among distributed teams via asynchronous review and commenting. Automate, track and report code reviews."
  link: https://gitlab.com/users/sign_in
  link_description: "Sign up for GitLab.com"
  roi: true
  available: 2011-12-20
  viable: 2013-08-13
  complete: 2017-03-22
  lovable: 2019-05-22
  maturity: lovable
  marketing: true
  priority_level: high
  body: |
    ## Streamline code review and approvals

    Enable your development team to collaborate, review and improve their code.

    ### Collaborate

    * Review, comment, and improve each other’s code.
    * Approval workflow enables reviewing and approving changes.
    * Inline comments enable asynchronous review and feedback.

wiki:
  name: "Wiki"
  stage: create
  documentation: https://docs.gitlab.com/ee/user/project/wiki/
  direction: /direction/create/wiki/
  description: "Share documentation and organization information with a built in wiki."
  roi: false
  available: 2017-10-15
  viable: 2017-10-15
  complete: 2023-03-15
  lovable: 2024-11-18
  maturity: viable
  marketing: true
  priority_level: low

static_site_editor:
  name: "Static Site Editor"
  stage: create
  documentation: https://docs.gitlab.com/ee/user/project/static_site_editor/
  direction: /direction/create/static_site_editor/
  description: "Focused on building an amazing experience for editing and building static sites."
  roi: true
  available: 2020-04-22
  viable: 2020-09-22
  complete: 2022-07-22
  lovable: 2023-10-22
  maturity: viable
  marketing: true
  priority_level: medium

gitlab_handbook:
  name: "GitLab Handbook"
  stage: create
  documentation: https://about.gitlab.com/handbook/
  direction: /direction/create/gitlab_handbook/
  description: "Focused on improving the GitLab Handbook."
  roi: false
  marketing: false
  priority_level: medium

gitlab_docs:
  name: "GitLab Documentation Site"
  stage: create
  label: Category:Docs Site
  feature_labels:
    - gitlab docs
  documentation: 'https://docs.gitlab.com/ee/development/documentation/site_architecture/'
  description: "Improve and maintain the features, style, and build process for the GitLab Documentation website."
  direction: /direction/create/gitlab_docs/
  roi: false
  marketing: false
  priority_level: medium

web_ide:
  name: "Web IDE"
  stage: create
  feature_labels:
    - web edit
  documentation: https://docs.gitlab.com/ee/user/project/web_ide/index.html
  direction: /direction/create/web_ide/
  description: "A full featured Integrated Development Environment (IDE) built into GitLab so you can start contributing on day one with no need to spend days getting all the right packages installed into your local dev environment."
  roi: true
  available: 2018-01-01
  viable: 2019-05-22
  complete: 2022-06-22
  lovable: 2024-11-18
  maturity: viable
  marketing: true
  priority_level: medium

editor_extension:
  name: "Editor Extension"
  stage: create
  feature_labels:
    - VS Code
  documentation: https://gitlab.com/gitlab-org/gitlab-vscode-extension/-/blob/main/README.md
  direction: /direction/create/editor_extension/
  description: "Tools that support developers where they work and how they work with GitLab."
  roi: true
  available: 2020-05-22
  viable: 2021-06-22
  complete: 2022-05-22
  lovable: 2024-05-22
  maturity: minimal
  marketing: false
  priority_level: medium

live_preview:
  name: "Live Preview"
  stage: create
  documentation: https://docs.gitlab.com/ee/user/project/web_ide/index.html#live-preview
  direction: /direction/create/live_preview/
  description: "Preview your simple JavaScript apps and static sites in the Web IDE, viewing your changes in real time, right next to the code."
  roi: false
  available: 2018-08-22
  viable:
  complete:
  lovable:
  maturity: minimal
  marketing: true
  priority_level: low

snippets:
  name: "Snippets"
  stage: create
  documentation: https://docs.gitlab.com/ee/user/snippets.html
  direction: /direction/create/snippets/
  description: "Store and share bits of code and text with other users."
  roi: false
  available: 2017-01-01
  viable: 2020-05-22
  complete: 2020-10-22
  lovable: 2023-11-18
  maturity: complete
  new_maturity: true
  marketing: true
  priority_level: low

gitaly:
  name: Gitaly
  stage: create
  feature_labels:
    - Gitaly HA
    - Gitaly n+1
  documentation: https://gitlab.com/gitlab-org/gitaly
  direction: /direction/create/gitaly/
  description: "Gitaly is a Git RPC service for handling all the git calls made by GitLab."
  roi: false
  marketing: true
  priority_level: high

integrations:
  name: Integrations
  stage: create
  feature_labels:
    - Category:Integrations
  direction: /direction/create/ecosystem/integrations/
  documentation: https://docs.gitlab.com/ee/integration/
  description: "Integrations are places where the GitLab product connects to features and services from other products. These integrations seek to offer our customers a seamless experience between these products, and range from lightweight features like Slack notifications for projects, to deep and complex integrations with Atlassian JIRA that connect a wide array of functionality throughout the GitLab product."
  roi: false
  marketing: false
  maturity: viable
  available: 2017-01-01
  viable: 2018-01-22
  complete:
  lovable:

api:
  name: API
  stage: create
  documentation: https://docs.gitlab.com/ee/user/project/integrations/
  direction: /direction/create/ecosystem/api/
  description: "The GitLab API enables other products and services the ability to integrate with the GitLab product."
  roi: false
  feature_labels:
    - Category:API
  marketing: false
  maturity: viable
  available: 2017-01-01
  viable: 2018-01-01
  complete: 2022-12-22
  lovable: 2023-12-22

gdk:
  name: GDK
  stage: create
  documentation: https://gitlab.com/gitlab-org/gitlab-development-kit
  direction: /direction/create/ecosystem/gdk/
  description: "GitLab Development Kit (GDK) provides a collection of scripts and other resources to install and manage a GitLab installation for development purposes."
  feature_labels:
    - Category:GDK
  roi: false
  marketing: false
  maturity: viable
  available: 2017-01-01
  viable: 2018-01-01
  complete: 2021-12-22
  lovable: 2022-12-22

foundations:
  name: FE/UX Foundations
  stage: create
  documentation: https://design.gitlab.com
  direction: /direction/create/ecosystem/frontend-ux-foundations/
  description: "GitLab's design system ([Pajamas](https://design.gitlab.com/)) and our frontend architecture: webpack, [PWA](https://developers.google.com/web/progressive-web-apps) needs for improved mobile support, and more."
  feature_labels:
    - Category:FE/FUX Foundations
  roi: false
  marketing: false
  maturity: viable
  available: 2017-01-01
  viable: 2018-01-01
  complete: 2021-06-22
  lovable: 2021-12-22

jira_importer:
  name: "Jira Importer"
  stage: create
  documentation: https://docs.gitlab.com/ee/user/project/import/jira.html#import-your-jira-project-issues-to-gitlab
  marketing_page:
  direction: /direction/create/ecosystem/jira_importer/
  description: "Allow users to import from Jira without losing required data"
  feature_labels:
    - Category:Jira Importer
  roi: false
  maturity: minimal
  available: 2020-04-22
  viable: 2021-12-22
  complete:
  lovable:
  marketing: false
  priority_level: high

# Verify

continuous_integration:
  name: "Continuous Integration (CI)"
  label: Category:Continuous Integration
  stage: verify
  feature_labels:
    - "ci::usage"
    - "ci::processing"
    - "ci::permissions"
    - "ci::api-interactions"
    - "ci::notifications"
    - "ci::metrics"
    - "ci::merge-request"
  marketing_page: /stages-devops-lifecycle/continuous-integration/
  documentation: https://docs.gitlab.com/ee/ci/
  direction: /direction/verify/continuous_integration/
  description: "Gain the confidence to ship at blistering speed and immense scale with automated builds, testing, and out-of-the-box security to verify each commit moves you forward."
  roi: true
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-01-01
  lovable: 2021-12-22
  maturity: complete
  marketing: true
  ux_scorecard_link: https://gitlab.com/groups/gitlab-org/-/epics/5225
  ux_scorecard_score: A
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Development
  # body: |
  #   ![GitLab CI/CD](/images/ci/ci-cd-test-deploy-illustration_2x.png)
  #
  #   ## Simple to use
  #
  #     - GitLab CI comes built-in to GitLab's single DevOps application for a seamless experience.
  #     - Developers can self-service and easily collaborate with QA teams by working from versionable, configuration YAML file.
  #     - CI results appear together with code and comments in single place so you get one conversation thread with visibility into all the info you need to review, troubleshoot, and improve faster.
  #     - Seemless experience together with [GitLab CD release automation](/product/cd).
  #
  #   ## Rated #1 in the Forrester CI Wave™
  #
  #   ![Forrester CI Wave](/images/home/forrester-ci-wave-graphic.svg)
  #
  #   “GitLab supports development teams with a well-documented installation and configuration processes, an easy-to-follow UI, and a flexible per-seat pricing model that supports self service. GitLab’s vision is to serve enterprise-scale, integrated software development teams that want to spend more time writing code and less time maintaining their tool chain.” - Forrester CI Wave™
  #
  #   [Learn more](/resources/forrester-wave-ci-2017/){: .btn .cta-btn .accent}
  #
  #   ## Powerful capabilities
  #
  #     - **Multi-platform**: Execute builds on Unix, Windows, macOS, and any other platform that supports Go.
  #     - **Multi-language**: Build scripts are command line driven and work with Java, PHP, Ruby, C, and any other language.
  #     - **Stable**: Builds run on a different machine than GitLab.
  #     - **Parallel builds**: GitLab CI/CD splits builds over multiple machines, for fast execution.
  #     - **Realtime logging**: A link in the merge request takes you to the current build log that updates dynamically.
  #     - **Versioned tests**: A [.gitlab-ci.yml](https://docs.gitlab.com/ee/ci/yaml/) file that contains your tests, allowing everyone to contribute changes and ensuring every branch gets the tests it needs.
  #     - **Pipeline**: Define multiple jobs per stage and you can [trigger other builds](https://docs.gitlab.com/ee/ci/triggers/).
  #     - **Autoscaling**: [Automatically spin up and down VM's](/blog/2016/03/29/gitlab-runner-1-1-released/) to make sure your builds get processed immediately and minimize costs.
  #     - **Build artifacts**: Upload binaries and other build artifacts to GitLab and browse and download them.
  #     - **Test locally**: [Multiple executors](https://docs.gitlab.com/runner/executors/) let you [reproduce tests locally](https://gitlab.com/gitlab-org/gitlab-runner/issues/312).
  #     - **Docker support**: Use custom Docker images, spin up [services](https://docs.gitlab.com/ee/ci/services/) as part of testing, [build new Docker images](https://docs.gitlab.com/ee/ci/docker/using_docker_build.html), even run on [Kubernetes](/solutions/kubernetes/).
  #
  #   ## More information
  #
  #     - Read how to use GitLab CI in the [GitLab CI/CD documentation](https://docs.gitlab.com/ee/ci/)
  #     - View a [demo of GitLab CI/CD](https://www.youtube.com/watch?v=1iXFbchozdY)
  #     - [HumanGeo switched from Jenkins to GitLab and cut costs by 1/3](/blog/2017/11/14/humangeo-switches-jenkins-gitlab-ci/)
  #     - [Ticketmaster sped up build times by 15x with GitLab CI](/blog/2017/06/07/continous-integration-ticketmaster/)
  #     - View a step-by-step guide to [migrate from Jenkins to GitLab](https://www.youtube.com/watch?v=RlEVGOpYF5Y)
  #     - [Autoscale GitLab CI runners and save 90% on EC2 costs](/blog/2017/11/23/autoscale-ci-runners/)

continuous_integration_scaling:
  name: "Continuous Integration Scaling (CI Scaling)"
  label: Category:Continuous Integration Scaling
  stage: verify
  feature_labels:
    - "ci::scaling"
  documentation: https://docs.gitlab.com/ee/ci/
  direction: /direction/verify/continuous_integration_scaling/
  description: "Watch us reach 20M builds per day on GitLab.com."
  roi: true
  available: 2021-04-01
  viable: 2022-03-01
  complete: 2023-04-01
  lovable: 2025-12-01
  maturity: minimal
  marketing: false
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Infrastructure
  ux_scorecard_score: U

pipeline_abuse_prevention:
  name: "Pipeline Abuse Prevention"
  label: Category:Pipeline Abuse Prevention
  stage: verify
  feature_labels:
    - "pipeline abuse prevention"
  documentation: https://docs.gitlab.com/ee/ci/
  direction: /direction/verify/pipeline_abuse_prevention/
  description: "We want to prevent malicious activity originating from GitLab.com Continuous Integration and Runners. Learn more here!"
  roi: true
  available: 2021-06-01
  viable: 2022-03-01
  complete: 2023-04-01
  lovable: 2025-12-01
  maturity: minimal
  marketing: false
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Development, Trust and Safety, Infrastructure

pipeline_authoring:
  name: "Pipeline Authoring"
  label: Category:Pipeline Authoring
  stage: verify
  feature_labels:
    - "ci::persistence"
    - "ci::variables"
    - "ci::rules"
    - "ci::integrations"
    - "ci::bridge-pipelines"
    - "ci::dag"
    - "ci::pipeline-graphs"
  marketing_page: /stages-devops-lifecycle/continuous-integration/
  documentation: https://docs.gitlab.com/ee/ci/
  direction: /direction/verify/pipeline_authoring/
  description: "Category containing features associated with editing/authoring your `.gitlab-ci.yml`."
  roi: false
  available: 2021-01-22
  viable: 2021-06-22
  complete: 2022-05-22
  lovable: 2023-01-22
  maturity: viable
  marketing: false
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: All
  ux_scorecard_link: https://gitlab.com/gitlab-org/gitlab-design/-/issues/1534
  ux_scorecard_score: 4.0
  

runner:
  name: "GitLab Runner"
  label: "Category:Runner"
  documentation: https://docs.gitlab.com/runner/
  direction: /direction/verify/runner/
  stage: verify
  description: "GitLab Runner is the execution agent that is used to run your CI jobs and send the results back to GitLab."
  roi: false
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-01-01
  lovable: 2017-01-01
  maturity: lovable
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: All
  ux_scorecard_link: https://gitlab.com/gitlab-org/ux-research/-/issues/1464
  ux_scorecard_score: U

jenkins_importer:
  name: "Jenkins Importer"
  label: "Category:Jenkins Importer"
  direction: /direction/verify/jenkins_importer/
  stage: verify
  description: "The Jenkins Importer helps unblock teams from migrating to GitLab CI."
  roi: false
  available: 2020-04-22
  viable: 2020-04-22
  complete: 2025-04-22
  lovable:
  maturity: viable 
  dogfooding_status: Not Applicable 
  dogfooding_issue: Not Applicable
  dogfooding_group: Not Applicable
  ux_scorecard_score: U

code_testing:
  name: "Code Testing and Coverage"
  documentation: https://docs.gitlab.com/ee/ci/unit_test_reports.html
  direction: /direction/verify/code_testing/
  stage: verify
  description: "Code testing and coverage ensure that individual components built within a pipeline perform as expected, and are an important part of a Continuous Integration framework."
  roi: false
  available: 2017-01-01
  viable: 2021-01-12
  complete: 2022-07-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Quality
  ux_scorecard_link: https://gitlab.com/gitlab-org/ux-research/-/issues/1034
  ux_scorecard_score: B

build_artifacts:
  name: "Build Artifacts"
  label: Category:Build Artifacts
  stage: verify
  documentation: https://docs.gitlab.com/ee/ci/
  direction: /direction/verify/build_artifacts/
  description: "Keep build artifacts under control and actionable."
  roi: true
  available: 2021-04-01
  viable: 2022-03-01
  complete: 2023-04-01
  lovable: 2025-12-01
  maturity: minimal
  marketing: false
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Development

performance_testing:
  name: "Performance Testing"
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/browser_performance_testing.html
  stage: verify
  direction: /direction/verify/performance_testing/
  description: "Be confident in the performance of your changes by ensuring that they are validated against real world scenarios."
  roi: false
  available: 2020-07-15
  viable: 2022-01-22
  complete:
  lovable: 2023-11-18
  maturity: minimal
  marketing: true
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Quality
  ux_scorecard_score: U

usability_testing:
  name: "Usability Testing"
  documentation: https://docs.gitlab.com/ee/ci/review_apps/#visual-reviews-starter
  direction: /direction/verify/usability_testing/
  stage: verify
  description: "Testing to ensure usability flows work and are actually understandable and valuable to your users."
  roi: false
  available: 2019-06-22
  viable: 2022-01-22
  complete:
  lovable: 2023-11-18
  maturity: minimal
  marketing: true
  dogfooding_status: Planned
  dogfooding_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/217138
  dogfooding_group: Quality
  ux_scorecard_score: U

accessibility_testing:
  name: "Accessibility Testing"
  stage: verify
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/accessibility_testing.html
  direction: /direction/verify/accessibility_testing/
  description: "Beyond being a compliance requirement in many cases, accessibility testing is the right thing to do."
  roi: false
  available: 2020-02-22
  viable: 2020-05-22
  complete: 2022-12-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  dogfooding_status: Planned
  dogfooding_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/224601
  dogfooding_group: Quality
  ux_scorecard_score: U

merge_trains:
  name: "Merge Trains"
  documentation: https://docs.gitlab.com/ee/ci/merge_request_pipelines/pipelines_for_merged_results/merge_trains/
  direction: /direction/verify/merge_trains/
  stage: verify
  description: "Keeping master green and ensuring the stability of collaboration on branches is vitally important. GitLab has introduced Merge Trains as an important way to accomplish this."
  roi: true
  available: 2019-04-22
  viable: 2019-07-22
  complete: 2023-07-22
  lovable: 2025-07-22
  maturity: viable
  marketing: true
  dogfooding_status: limited
  dogfooding_issue: https://gitlab.com/gitlab-org/quality/team-tasks/-/issues/195#known-issues-improvements
  dogfooding_group: Quality
  ux_scorecard_link: https://gitlab.com/gitlab-org/gitlab/-/issues/332619
  ux_scorecard_score: U

# Package

package_registry:
  name: "Package Registry"
  stage: package
  documentation: https://docs.gitlab.com/ee/user/packages/package_registry/
  direction: /direction/package/#package-registry
  description: |
    Every team needs a place to store their packages and dependencies. GitLab aims to provide a comprehensive solution, integrated into our single application, that supports package management for all commonly used languages and binary formats.
  roi: true
  available: 2018-01-01
  viable: 2020-01-22
  complete: 2021-10-22
  lovable: 2023-11-22
  maturity: viable
  marketing: true
  dogfooding_status: Planned
  dogfooding_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/334454
  dogfooding_group: Development, Distribution

container_registry:
  name: "Container Registry"
  stage: package
  documentation: https://docs.gitlab.com/ee/user/packages/container_registry/
  direction: /direction/package/#container-registry
  description: |
    A secure and private registry for Docker images built-in to GitLab. Creating, pushing, and retrieving images works out of the box with GitLab CI/CD.
  roi: true
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2021-10-22
  lovable: 2023-11-22
  maturity: viable
  marketing: true
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Development, Distribution

helm_chart_registry:
  name: "Helm Chart Registry"
  stage: package
  documentation: https://docs.gitlab.com/ee/user/packages/container_registry/#use-the-container-registry-to-store-helm-charts
  direction: /direction/package/#helm-chart-registry
  description: |
    Kubernetes cluster integrations can take advantage of Helm charts to
    standardize their distribution and install processes. Supporting a built-in
    helm chart registry allows for better, self-managed container orchestration.
  roi: false
  available: 2020-01-22
  viable: 2021-10-22
  complete:
  lovable: 2023-11-18
  maturity: minimal
  marketing: true
  dogfooding_status: Planned
  dogfooding_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/334452
  dogfooding_group: Distribution

dependency_proxy:
  name: "Dependency Proxy"
  stage: package
  documentation: https://docs.gitlab.com/ee/user/packages/dependency_proxy/
  direction: /direction/package/#dependency-proxy
  description: |
    The GitLab Dependency Proxy can serve as an intermediary between your local
    developers and automation and the world of packages that need to be fetched
    from remote repositories. By adding a security and validation layer to a
    caching proxy, you can ensure reliability, accuracy, and auditability for the
    packages you depend on.
  roi: false
  available: 2019-05-22
  viable: 2020-02-22
  complete: 2022-09-22
  lovable: 2023-11-22
  maturity: viable
  marketing: true
  dogfooding_status: Limited
  dogfooding_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/334454
  dogfooding_group: Development, Quality, Distribution

dependency_firewall:
  name: "Dependency Firewall"
  stage: package
  direction: /direction/package/#dependency-firewall
  description: |
    GitLab ensures that the dependencies stored in your package registries conform to your corporate compliance guidelines. This means you can prevent your organization from using dependencies that are insecure or out of policy.
  roi: false
  available: 2021-11-22
  viable:
  complete:
  lovable: 2023-11-22
  maturity: planned
  marketing: true
  dogfooding_status: Not Applicable (Planned)
  dogfooding_issue: Not Applicable (Planned)
  dogfooding_group: Not Applicable (Planned)

release_evidence:
  name: "Release Evidence"
  stage: package
  direction: /direction/package/#release-evidence
  documentation: https://docs.gitlab.com/ee/user/project/releases/#release-evidence
  description: "Release Evidence includes all the assurances and evidence collection that are necessary for you to trust the changes you're delivering."
  roi: false
  available: 2020-01-22
  viable: 2021-12-22
  complete: 2022-06-22
  lovable: 2023-06-22
  maturity: minimal
  marketing: true
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Delivery

git_lfs:
  name: "Git LFS"
  stage: package
  documentation: https://docs.gitlab.com/ee/topics/git/lfs/index.html
  direction: /direction/package/#git-lfs
  description: |
    Git LFS (Large File Storage) is a Git extension, which reduces the impact of large files in your repository by downloading the relevant versions of
    them lazily. Specifically, large files are downloaded during the checkout process rather than during cloning or fetching.
  roi: false
  available: 2015-02-22
  viable: 2022-02-22
  complete:
  lovable:
  maturity: minimal
  marketing: true
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: All

# Secure

# application_security_testing:
#   name: "Application Security Testing"
#   stage: secure
#   description: "As part of Concurrent Devops, GitLab offers powerful security tools out of the box including static and dynamic application security testing, container and open source dependency scanning and license compliance. Test every merge request for security vulnerabilities so you can find mistakes earlier when they are less costly to resolve."
#   link: https://gitlab.com/users/sign_in
#   link_description: "Sign up for GitLab.com"
#   body: |
#     ## Fundamentally different

#     * Security issues reported directly in Pipelines and Merge Requests.
#     * One license cost for integrated security.
#     * Zero context switching to proactively secure applications.

#     ### Static Application Security Testing

#     * Performs static analysis on application source code and binaries.
#     * Spots potential vulnerabilities before deployment.
#     * Uses open source (defined on right) tools that are installed as part of GitLab.
#     * Vulnerabilities shown in-line with merge request.
#     * Results collected and presented as a single report.

#     ### Dependency scanning

#     * Analyzes external dependencies (e.g. libraries like Ruby gems).
#     * Shows vulnerable dependencies needing updating.
#     * Relies on open source tools and on the integration with Gemnasium technology (now part of GitLab).
#     * Vulnerabilities shown in-line with merge request.
#     * Results collected and available as a single report.

#     ### Container scanning

#     * Performs static analysis on Docker images to spot possible vulnerabilities in the application environment.
#     * Analyzes image contents against public vulnerability databases.
#     * Uses open source tool Clair that is able to scan any kind of Docker (or Appc) image.
#     * Vulnerabilities shown in-line with merge request.

#     ### Dynamic Application Security Testing

#     * Analyzes your running web application for known runtime vulnerabilities.
#     * Runs live attacks against a Review App* of the application.
#     * Users can provide HTTP credentials to test private areas.
#     * Current implementation uses open source tool ZAProxy, modified to add authentication capabilities.
#     * Vulnerabilities shown in-line with merge request.

#     ### [License Compliance](/product/license-compliance)

static_application_security_testing:
  name: "SAST"
  stage: secure
  documentation: https://docs.gitlab.com/ee/user/application_security/sast/
  direction: /direction/secure/static-analysis/sast/
  description: "Static Application Security Testing scans the application source code and binaries to spot potential vulnerabilities before deployment using open source tools that are installed as part of GitLab. Vulnerabilities are shown in-line with every merge request and results are collected and presented as a single report."
  roi: true
  available: 2018-01-01
  viable: 2019-03-22
  complete: 2021-04-30
  lovable: 2023-11-18
  maturity: complete
  new_maturity: true
  marketing: true
  priority_level: high

secret_detection:
  name: "Secret Detection"
  stage: secure
  label: "group::static analysis"
  documentation: https://docs.gitlab.com/ee/user/application_security/secret_detection/
  direction: /direction/secure/static-analysis/secret-detection/
  description: "Check for credentials and secrets in commits."
  roi: false
  available: 2019-03-22
  viable: 2020-06-22
  complete: 2022-06-22
  lovable: 2023-11-18
  maturity: viable
  new_maturity: true
  marketing: true
  priority_level: medium

code_quality:
  name: "Code Quality"
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html
  direction: /direction/secure/static-analysis/code_quality/
  stage: secure
  description: "Automatically analyze your source code to surface issues and see if quality is improving or getting worse with the latest commit."
  roi: false
  available: 2017-01-01
  viable: 2021-07-22
  complete:
  lovable: 2023-11-18
  maturity: minimal
  marketing: true

dynamic_application_security_testing:
  name: "DAST"
  stage: secure
  documentation: https://docs.gitlab.com/ee/user/application_security/dast/
  direction: /direction/secure/dynamic-analysis/dast/
  description: "Dynamic Application Security Testing analyzes your running web application for known runtime vulnerabilities. It runs live attacks against a *Review App*, created for every merge request as part of the GitLab's CI/CD capabilities. Users can provide HTTP credentials to test private areas. Vulnerabilities are shown in-line with every merge request."
  roi: true
  available: 2018-01-01
  viable: 2019-04-22
  complete: 2021-07-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: high

interactive_application_security_testing:
  name: "IAST"
  stage: secure
  direction: /direction/secure/dynamic-analysis/iast/
  documentation:
  description: "Interactive Application Security Testing checks runtime behavior of applications by instrumenting the code and checking for error conditions. It is composed by an agent that lives inside the application environment, and an external component, like DAST, that can interact and trigger unintended results."
  roi: false
  available: 2022-01-22
  viable:
  complete: 2024-11-18
  lovable:
  maturity: planned
  marketing: false
  priority_level: low

fuzz_testing:
  name: "Fuzz Testing"
  stage: secure
  label: "category::fuzz testing"
  direction: /direction/secure/dynamic-analysis/fuzz-testing/
  documentation: https://docs.gitlab.com/ee/user/application_security/coverage_fuzzing/
  description: "Fuzz testing increase chances to get results by using arbitrary payloads instead of well-known ones."
  roi: false
  available: 2020-08-02
  viable: 2021-01-22
  complete: 2023-11-18
  lovable:
  maturity: viable
  new_maturity: true
  marketing: true
  priority_level: high
  acquisition_one:
  - name: "Peach Tech"
  - start_date: 2020-06-01
  - end_date: NULL
  acquisition_two:
  - name: "Fuzzit"
  - start_date: 2020-05-14
  - end_date: NULL

dependency_scanning:
  name: "Dependency Scanning"
  stage: secure
  documentation: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/
  direction: /direction/secure/composition-analysis/dependency-scanning/
  description: "Analyze external dependencies (e.g. libraries like Ruby gems) for known vulnerabilities on each code commit with GitLab CI/CD. This scan relies on open source tools and on the integration with Gemnasium technology (now part of GitLab) to show, in-line with every merge request, vulnerable dependencies needing updating. Results are collected and available as a single report."
  roi: true
  available: 2018-01-01
  viable: 2019-04-22
  complete: 2021-07-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: high
  feature_labels:
    - dependency list
    - security reports integration

license_compliance:
  name: "License Compliance"
  stage: secure
  documentation: https://docs.gitlab.com/ee/user/compliance/license_compliance/index.html
  direction: /direction/secure/composition-analysis/license-compliance/
  description: "Upon code commit, project dependencies are searched for approved and blacklisted licenses defined by custom policies per project. Software licenses being used are identified if they are not within policy. This scan relies on an open source tool, LicenseFinder and license analysis results are shown in-line for every merge request for immediate resolution."
  roi: false
  available: 2018-01-01
  viable: 2020-01-22
  complete: 2021-11-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: medium

vulnerability_database:
  name: Vulnerability Database
  stage: secure
  direction: /direction/secure/vulnerability-research/vulnerability-database/
  description: "GitLab integrates access to proprietary and open-source application security scanning tools. In order to maintain the efficacy of those scans, we strive to keep their underlying vulnerability databases up-to-date."
  roi: false
  available:
  viable:
  complete:
  loveable:
  maturity:
  marketing: false
  priority_level: high

security_benchmarking:
  name: Security Benchmarking
  stage: secure
  label: "group::vulnerability research"
  direction: /direction/secure/vulnerability-research/security-benchmarking/
  description: "GitLab Secure stage benchmarking for measuring security effectiveness in detecting security findings."
  roi: false
  available:
  viable:
  complete:
  loveable:
  maturity:
  marketing: false

attack_emulation:
  name: Attack Emulation
  stage: secure
  description: "Continuously assess your applications and services are not vulnerable to security threats through automated, real-world emulated scenarios to identify weaknesses in your attack surface"
  direction:
  roi: false
  available: 2022-01-22
  viable:
  complete:
  lovable: 2024-11-18
  maturity: planned
  marketing: false
  priority_level: low

# Protect

container_scanning:
  name: "Container Scanning"
  stage: protect
  documentation: https://docs.gitlab.com/ee/user/application_security/container_scanning/
  direction: /direction/protect/container-scanning/
  description: "Check Docker images for known vulnerabilities in the application environment. Analyze image contents against public vulnerability databases using the open source tool, Clair, that is able to scan any kind of Docker (or App) image. Vulnerabilities are shown in-line with every merge request."
  roi: true
  available: 2018-01-01
  viable: 2019-05-22
  complete: 2021-12-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: medium

security_orchestration:
  name: "Security Orchestration"
  stage: protect
  direction: /direction/protect/security_orchestration/
  documentation: https://docs.gitlab.com/ee/user/application_security/threat_monitoring/#configuring-network-policy-alerts
  description: |
    Unified policy and alert security orchestration capabilities across all of GitLab's scanners and security technologies.
  roi: false
  available: 2021-02-22
  viable:
  complete:
  lovable: 2024-05-22
  maturity: minimal
  marketing: true
  priority_level: medium

container_host_security:
  name: "Container Host Security"
  stage: protect
  description: "Detect and respond to security threats at the Kubernetes, network, and host level."
  documentation: https://docs.gitlab.com/ee/user/project/clusters/protect/container_host_security/index.html
  direction: /direction/protect/container_host_security
  roi: false
  available: 2020-07-22
  viable:
  complete:
  lovable: 2023-11-18
  maturity: minimal
  marketing: true
  priority_level: high

vulnerability_management:
  name: "Vulnerability Management"
  stage: secure
  label: "group::threat insights"
  description: "View, triage, trend, track, and resolve vulnerabilities detected in your applications."
  documentation: https://docs.gitlab.com/ee/user/application_security/security_dashboard/
  direction: /direction/secure/vulnerability_management/
  roi: false
  available: 2020-05-22
  viable: 2020-12-08
  complete: 2022-07-22
  lovable: 2023-11-18
  maturity: viable
  new_maturity: true
  marketing: true
  priority_level: high
  feature_labels:
    - MR security reports
    - pipeline security reports

container_network_security:
  name: "Container Network Security"
  stage: protect
  description: |
    Container network security allows the implementation of network policies in Kubernetes to
    detect and block unauthorized network traffic between pods and to/from the Internet.
  direction: /direction/protect/container_network_security/
  documentation: https://docs.gitlab.com/ee/user/project/clusters/protect/container_network_security/index.html
  roi: false
  available: 2020-02-22
  viable:
  complete:
  lovable: 2023-12-18
  maturity: minimal
  marketing: true
  priority_level: medium

# Release

continuous_delivery:
  name: "Continuous Delivery"
  marketing_page: /stages-devops-lifecycle/continuous-integration/
  documentation: https://docs.gitlab.com/ee/ci/
  direction: /direction/release/continuous_delivery/
  stage: release
  description: "Deliver your changes to production with zero-touch software delivery; focus on building great software and allow GitLab CD to bring your release through your path to production for you."
  roi: true
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-01-01
  lovable: 2022-12-22
  maturity: complete
  marketing: true
  priority_level: medium
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Development, All

pages:
  name: "Pages"
  stage: release
  marketing_page: /stages-devops-lifecycle/pages/
  documentation: https://docs.gitlab.com/ee/user/project/pages/
  direction: /direction/release/pages/
  description: "Use any static site generator to create websites that are easily managed and deployed by GitLab."
  roi: false
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-01-01
  lovable: 2023-11-18
  maturity: complete
  marketing: true
  priority_level: low
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: All

review_apps:
  name: "Review Apps"
  stage: release
  marketing_page: /stages-devops-lifecycle/review-apps/
  documentation: https://docs.gitlab.com/ee/ci/review_apps/
  direction: /direction/release/review_apps/
  description: "Get a full production like environment for every merge request that updates on each commit. See code running and enable user acceptance testing before you merge."
  roi: true
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-01-01
  lovable: 2023-11-18
  maturity: complete
  marketing: true
  priority_level: low
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Development, All

advanced_deployments:
  name: "Advanced Deployments"
  stage: release
  documentation: https://docs.gitlab.com/ee/topics/autodevops/index.html#incremental-rollout-to-production-premium
  direction: /direction/release/advanced_deployments/
  description: "Mitigate the risk of production deploys by deploying new production code to a small subset of your fleet and then incrementally adding more."
  roi: false
  available: 2017-05-22
  viable: 2018-04-22
  complete: 2022-08-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: low
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Delivery

feature_flags:
  name: "Feature Flags"
  stage: release
  documentation: https://docs.gitlab.com/ee/operations/feature_flags.html
  direction: /direction/release/feature_flags/
  description: "Feature flags enable teams to achieve CD by letting them deploy dark features to production as smaller batches for controlled testing, separating feature delivery from customer launch, and removing risk from delivery."
  roi: false
  available: 2018-10-22
  viable: 2019-03-22
  complete: 2022-11-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: medium
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Development

release_orchestration:
  name: "Release Orchestration"
  stage: release
  direction: /direction/release/release_orchestration/
  documentation: https://docs.gitlab.com/ee/user/project/releases/
  description: "Management and orchestration of releases-as-code built on intelligent notifications, scheduling of delivery and shared resources, blackout periods, relationships, parallelization, and sequencing, as well as support for integrating manual processes and interventions."
  roi: false
  available: 2017-01-01
  viable: 2020-03-22
  complete: 2022-03-22
  lovable: 2023-11-22
  maturity: viable
  new_maturity: true
  marketing: true
  priority_level: high
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Delivery

# Configure

auto_devops:
  name: "Auto DevOps"
  stage: configure
  marketing_page: /stages-devops-lifecycle/auto-devops/
  documentation: https://docs.gitlab.com/ee/topics/autodevops/
  direction: /direction/configure/auto_devops/
  description: "Commit your code and GitLab does the rest to build, test, deploy, and monitor automatically. Eliminate the complexities of getting going with automated software delivery by automatically setting up the pipeline and necessary integrations, freeing up your teams to focus on the culture part."
  roi: true
  available: 2017-09-22
  viable: 2019-12-22
  complete: 2021-10-22
  lovable: 2022-10-22
  maturity: viable
  marketing: true
  priority_level: medium
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Infrastructure, Development

kubernetes_management:
  name: "Kubernetes Management"
  stage: configure
  marketing_page: /solutions/kubernetes/
  documentation: https://docs.gitlab.com/ee/user/project/clusters/
  direction: /direction/configure/kubernetes_management/
  description: "Connect Kubernetes clusters to GitLab for deployments and insights."
  roi: true
  available: 2018-01-01
  viable: 2019-07-22
  complete: 2021-06-22
  lovable: 2022-01-22
  maturity: viable
  marketing: true
  priority_level: high
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Infrastructure

secrets_management:
  name: "Secrets Management"
  stage: configure
  feature_labels:
    - "ci::variables"
    - "ci::permissions"
    - "deploy keys"
  direction: /direction/configure/secrets_management/
  description: "Securely deploy with CI/CD Variables, Deploy Keys, Deploy Tokens, and HashiCorp Vault Integration."
  documentation: https://docs.gitlab.com/ee/ci/variables/
  roi: false
  available: 2019-12-22
  viable: 2021-03-22
  complete: 2021-12-22
  lovable: 2023-03-22
  maturity: viable
  new_maturity: true
  marketing: true
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Infrastructure

chatops:
  name: "ChatOps"
  stage: configure
  direction: /direction/configure/chatops/
  documentation: https://docs.gitlab.com/ee/ci/chatops/
  description: "Tight integrations with Slack and Mattermost make it easy to manage and automate software development and delivery right from your chat app."
  roi: false
  available: 2018-01-01
  viable: 2023-11-18
  complete: 2023-11-18
  lovable:
  maturity: minimal
  marketing: true
  priority_level: low
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Infrastructure, Development

serverless:
  name: "Serverless"
  stage: configure
  marketing_page: /stages-devops-lifecycle/serverless/
  documentation: https://docs.gitlab.com/ee/user/project/clusters/serverless/
  direction: /direction/configure/serverless/
  description: "Run cloud-agnostic serverless workloads on Kubernetes, deployed via GitLab CI/CD."
  link: https://gitlab.com/users/sign_in
  link_description: "Sign up for GitLab.com"
  roi: false
  available: 2018-12-22
  viable: 2022-01-22
  complete: 2022-09-22
  lovable: 2023-11-18
  maturity: minimal
  marketing: true
  priority_level: low
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Development, Infrastructure

infrastructure_as_code:
  name: "Infrastructure as Code"
  stage: configure
  documentation: https://docs.gitlab.com/ee/user/infrastructure/
  direction: /direction/configure/infrastructure_as_code/
  description: "Manage your infrastructure effectively to create, configure, and manage a complete software development environment."
  roi: false
  available: 2019-09-01
  viable: 2021-01-22
  complete: 2021-06-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true
  priority_level: high
  dogfooding_status: Exclusive
  dogfooding_issue: N/A
  dogfooding_group: Infrastructure

cluster_cost_management:
  name: "Cluster Cost Management"
  stage: configure
  direction: /direction/configure/cluster_cost_management/
  description: "Gain insights and recommendations about your cluster spending"
  documentation: https://docs.gitlab.com/ee/user/clusters/cost_management.html
  roi: false
  available: 2020-10-22
  viable: 2021-10-22
  complete: 2022-01-22
  lovable: 2023-11-18
  maturity: minimal
  marketing: true
  priority_level: low
  dogfooding_status: Not Planned
  dogfooding_issue: N/A
  dogfooding_group: Infrastructure

# Monitor

runbooks:
  name: "Runbooks"
  stage: monitor
  documentation: https://docs.gitlab.com/ee/user/project/clusters/runbooks/
  direction: /direction/configure/runbooks/
  description: "Runbooks are a collection of documented procedures that explain how to carry out a particular process, be it starting, stopping, debugging, or troubleshooting a particular system. Executable runbooks allow operators to execute pre-written code blocks or database queries against a given environment."
  roi: false
  available: 2018-11-22
  viable: 2022-06-22
  complete: 
  lovable: 
  maturity: minimal
  marketing: true
  priority_level: low
  dogfooding_status: Not Planned
  dogfooding_issue: N/A
  dogfooding_group: Infrastructure

metrics:
  name: "Metrics"
  stage: monitor
  documentation: https://docs.gitlab.com/ee/operations/metrics/
  direction: /direction/monitor/apm/metrics/
  description: "GitLab collects and displays performance metrics for deployed apps, leveraging Prometheus. Developers can determine the impact of a merge and keep an eye on their production systems, without leaving GitLab."
  roi: true
  available: 2017-01-01
  viable:
  complete:
  lovable:
  maturity: minimal
  marketing: true
  priority_level: medium
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Infrastructure

incident_management:
  name: "Incident Management"
  stage: monitor
  direction: /direction/monitor/debugging_and_health/incident_management/
  documentation: https://docs.gitlab.com/ee/operations/incident_management/
  description: "Track incidents within GitLab, providing a consolidated location to understand the who, what, when, and where of the incident. Define service level objectives and error budgets, to achieve the desired balance of velocity and stability."
  roi: false
  available: 2019-05-22
  viable: 2019-10-22
  complete: 2021-07-22
  lovable: 2022-07-22
  maturity: viable
  marketing: true
  priority_level: high
  dogfooding_status: limited
  dogfooding_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/333981
  dogfooding_group: Infrastructure

on_call_schedule_management:
  name: "On-call Schedule Management"
  stage: monitor
  description: "Track DevOps responsibilities within your team by creating rotating schedules for responders."
  direction: /direction/monitor/debugging_and_health/incident_management/
  documentation: https://docs.gitlab.com/ee/operations/incident_management/oncall_schedules.html
  roi: false
  available: 2021-04-22
  viable: 2021-10-22
  complete: 
  lovable: 
  maturity: minimal
  marketing: true
  priority_level: high
  dogfooding_status: limited
  dogfooding_issue: https://gitlab.com/groups/gitlab-com/gl-infra/-/epics/322
  dogfooding_group: Infrastructure

logging:
  name: "Logging"
  stage: monitor
  documentation: https://docs.gitlab.com/ee/user/project/clusters/kubernetes_pod_logs.html#kubernetes-pod-logs
  direction: /direction/monitor/apm/logging/
  description: "GitLab makes it easy to view the logs distributed across multiple pods and services using log aggregation with Elastic Stack. Once Elastic Stack is enabled, you can view your aggregated Kubernetes logs across multiple services and infrastructure, go back in time, conduct infinite scroll, and search through your application logs from within the GitLab UI itself."
  roi: false
  available: 2018-01-01
  viable:
  complete:
  lovable:
  maturity: minimal
  marketing: true
  priority_level: medium
  dogfooding_status: Not Planned
  dogfooding_issue: N/A
  dogfooding_group: Infrastructure

tracing:
  name: "Tracing"
  stage: monitor
  documentation: https://docs.gitlab.com/ee/operations/tracing.html
  direction: /direction/monitor/apm/tracing/
  description: "Tracing provides insight into the performance and health of a deployed application, tracking each function or microservice which handles a given request. This makes it easy to understand the end-to-end flow of a request, regardless of whether you are using a monolithic or distributed system."
  roi: false
  available: 2018-11-22
  viable:
  complete:
  lovable:
  maturity: minimal
  marketing: true
  priority_level: medium
  dogfooding_status: Not Planned
  dogfooding_issue: N/A
  dogfooding_group: Infrastructure

self_monitoring:
  name: "GitLab Self-Monitoring"
  stage: monitor
  direction: /direction/monitor/self-monitoring/
  documentation: https://docs.gitlab.com/ee/administration/monitoring/gitlab_self_monitoring_project/index.html/
  description: "Self-managed GitLab instances come out of the box with great observability tools, reducing the time and effort required to maintain a GitLab instance."
  roi: false
  marketing: false
  priority_level: low
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Support

error_tracking:
  name: "Error Tracking"
  stage: monitor
  documentation: https://docs.gitlab.com/ee/operations/error_tracking.html
  direction: /direction/monitor/debugging_and_health/error_tracking/
  description: "Error tracking allows developers to easily discover and view the errors that their application may be generating. By surfacing error information where the code is being developed, efficiency and awareness can be increased."
  roi: false
  available: 2018-12-22
  viable: 
  complete:
  lovable:
  maturity: minimal
  new_maturity: true
  marketing: true
  priority_level: medium
  dogfooding_status: limited
  dogfooding_issue: TBD
  dogfooding_group: Infrastructure

synthetic_monitoring:
  name: "Synthetic Monitoring"
  stage: monitor
  direction: https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/8338
  description: "Proactively simulate, monitor, and report on success rates and executions for user actions and behavior pathways."
  roi: false
  available: 2022-03-22
  viable:
  complete:
  lovable:
  maturity: planned
  marketing: true
  priority_level: low
  dogfooding_status: Not Applicable(Planned)
  dogfooding_issue: https://gitlab.com/gitlab-com/gl-infra/infrastructure/-/issues/11833
  dogfooding_group: Infrastructure

# Enablement

global_search:
  name: Global Search
  stage: enablement
  feature_labels:
    - elasticsearch
  description: |
    Global Search is made up of two primary experiences, Basic Search and Advanced Search.

    Basic Search is the default search experience for self-managed users as well as Free users of GitLab.com. It provides a way to search across the DevOps platform. Basic search includes Code Search for one project.

    Advanced Search in GitLab paid tiers, is a powerful search service that saves time when collaborating. Instead of creating potentially duplicate code, users can now search for code across multiple projects that they can re-use. GitLab leverages the search capabilities of Elasticsearch.
  direction: /direction/global-search/
  documentation: https://docs.gitlab.com/ee/user/search/advanced_global_search.html
  roi: false
  marketing: true
  available: 2016-01-22
  viable: 2019-06-22
  complete: 2021-09-22
  lovable: 2021-11-22
  maturity: viable

omnibus_package:
  name: Omnibus Package
  stage: enablement
  documentation: https://docs.gitlab.com/omnibus/
  description: Install a self-managed instance of GitLab using the Omnibus package.
  roi: false
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-06-01
  lovable: 2018-01-01
  maturity: lovable
  marketing: true
  direction: /direction/distribution/omnibus/

cloud_native_installation:
  name: Cloud Native Installation
  stage: enablement
  documentation: https://docs.gitlab.com/charts/
  description: Install GitLab in a cloud native environment using Helm.
  roi: false
  available: 2018-08-22
  viable: 2019-03-22
  complete: 2021-9-22
  lovable: 2021-12-22
  maturity: viable
  marketing: true
  direction: /direction/distribution/cloud_native_installation/
  dogfooding_status: limited
  dogfooding_issue: https://gitlab.com/groups/gitlab-com/gl-infra/-/epics/112

backup_restore:
  name: "Backup/Restore of GitLab instances"
  stage: enablement
  direction: /direction/geo/backup_restore/
  documentation: https://docs.gitlab.com/ee/raketasks/backup_restore.html
  roi: false
  available: 2015-01-01
  viable: 2021-10-22
  complete: 2022-01-22
  lovable: 2023-11-18
  maturity: minimal
  marketing: false

geo_replication:
  name: "Geo-replication"
  stage: enablement
  feature_labels:
    - Geo Administration
    - Geo GA
    - Geo Next Gen
    - Geo Performance
    - Geo Replication/Sync
    - Geo Verification/Accuracy
    - "Geo : Automatic Verification"
    - "Geo : Kubernetes"
    - "Geo : Replication Lag Warning"
    - "Geo : Selective Sync"
  direction: /direction/geo/geo_replication/
  marketing_page: /solutions/geo/
  documentation: https://docs.gitlab.com/ee/administration/geo/index.html
  description: "Geo-replication provides an easily configurable, read-only mirror (we call it a Geo node) of a GitLab installation that is complete, accurate, verifiable and efficient."
  roi: false
  available: 2018-01-01
  viable: 2019-09-01
  complete: 2022-01-22
  lovable: 2023-11-18
  maturity: viable
  marketing: true

disaster_recovery:
  name: "Disaster Recovery"
  stage: enablement
  feature_labels:
    - Geo DR
  direction: /direction/geo/disaster_recovery/
  documentation: https://docs.gitlab.com/ee/administration/geo/disaster_recovery/
  description: "Disaster Recovery (DR) helps our customers fulfill their business continuity plans by creating processes that allow the recovery of GitLab following a natural or human-created disaster."
  roi: false
  available: 2018-01-01
  viable: 2021-02-22
  complete: 2021-10-22
  lovable: 2023-12-22
  maturity: viable
  marketing: true
  dogfooding_status: planned
  dogfooding_issue: https://gitlab.com/groups/gitlab-com/gl-infra/-/epics/341

database:
  name: Database
  stage: enablement
  direction: /handbook/engineering/development/enablement/database/
  roi: false
  marketing: false
  
sharding:
  name: Sharding
  stage: enablement
  direction: /handbook/engineering/development/enablement/sharding/
  roi: false
  marketing: false

memory:
  name: Memory
  stage: enablement
  direction: /handbook/engineering/development/enablement/memory/
  roi: false
  marketing: false

infrastructure:
  name: "Infrastructure"
  stage: enablement
  direction: /direction/enablement/dotcom
  documentation: https://docs.gitlab.com/ee/user/
  description: "Infrastructure provides operational capabilities (including availability, reliability, performance, and scalability) for GitLab's multi-tenant SaaS offering."
  roi: false
  available: 2012-01-01
  marketing: false

# Growth Section

experimentation_activation:
  name: "Activation Experiment"
  label: "Category:Activation Experiment"
  stage: growth
  direction: /direction/growth
  description: "Run experiments in GitLab to improve Growth Product KPIs concerning activation."

experimentation_adoption:
  name: "Adoption Experiment"
  label: "Category:Adoption Experiment"
  stage: growth
  direction: /direction/growth
  description: "Run experiments in GitLab to improve Growth Product KPIs concerning adoption."

experimentation_conversion:
  name: "Conversion Experiment"
  label: "Category:Conversion Experiment"
  stage: growth
  direction: /direction/growth
  description: "Run experiments in GitLab to improve Growth Product KPIs concerning conversion."

experimentation_expansion:
  name: "Expansion Experiment"
  label: "Category:Expansion Experiment"
  stage: growth
  direction: /direction/growth
  description: "Run experiments in GitLab to improve Growth Product KPIs concerning expansion"

onboarding:
  name: "Onboarding"
  stage: growth
  direction: /direction/growth
  description: "Enhancements to the new user onboarding process."

# Product Intelligence Group

product_analytics:
  name: "Product Analytics"
  stage: monitor
  documentation: https://docs.gitlab.com/ee/operations/product_analytics.html
  direction:
  roi: false
  available: 2020-12-15
  viable: 2022-06-01
  complete: 2023-06-01
  lovable: 2024-06-01
  maturity: minimal
  marketing: true
  priority_level: medium

usage_ping:
  name: "Usage Ping"
  stage: growth
  direction:
  description: "Deprecated: Is now known as Service Ping. Collects usage data from GitLab instances."
  documentation: https://docs.gitlab.com/ee/development/usage_ping/
  roi: false
  available: 2018-08-22
  viable: 2019-01-01
  complete: 2021-12-01
  lovable: 2022-12-01
  marketing: false
  maturity: viable

service_ping:
  name: "Service Ping"
  stage: growth
  direction:
  description: "Formerly Usage Ping. Collects usage data from GitLab instances."
  documentation: https://docs.gitlab.com/ee/development/usage_ping/
  roi: false
  available: 2018-08-22
  viable: 2019-01-01
  complete: 2021-12-01
  lovable: 2022-12-01
  marketing: false
  maturity: viable

privacy_control_center:
  name: "Privacy Control Center"
  stage: fulfillment
  direction:
  description:
  available: 2021-06-01
  viable: 2021-12-01
  complete: 2022-12-01
  lovable: 2023-12-01
  marketing: false
  maturity: planned

# Fulfillment section

purchase:
  name: Purchase
  stage: fulfillment
  description: "Responsible for all purchase experiences. Trials, purchase flows, and account management (invoices, contact, billing info) - Systems and Integrations include CustomersDot, Zuora, Stripe, GitLab."
  direction: https://about.gitlab.com/direction/fulfillment/#purchase
  marketing: false
  maturity:

license:
  name: License
  stage: fulfillment
  description: "Responsible for retrieving and managing licenses, overall system architecture, data integrity. Systems/Integrations - LicenseDot, SFDC Integration"
  direction: https://about.gitlab.com/direction/fulfillment/#license
  marketing: false
  maturity:

utilization:
  name: Utilization
  stage: fulfillment
  description: "Responsible for all consumables management, usage reporting, and usage notifications (excluding license utilization). Systems - GitLab."
  direction: https://about.gitlab.com/direction/fulfillment/#utilization
  marketing: false
  maturity:

# Single-engineer groups

insider_threat:
  name: "Insider Threat"
  stage: ModelOps
  label: "group::machine learning"
  documentation:
  direction: /direction/modelops/applied_ml/insider-threat/
  description: "Insider Threat identifies attacks and high risk behaviors by correlating different data sources and observing behavioral patterns."
  maturity:
  marketing: false

workflow_automation:
  name: "Workflow Automation"
  stage: ModelOps
  label: "group::machine learning"
  documentation:
  direction: /direction/modelops/applied_ml/
  description: "Automatic generation of new Issues and merge requests as well as automatic labeling and label tracking. This includes identifying and assigning code reviewer assignments automatically. Our customers are looking for us to help them streamline their processes and deliver their software faster. This is our first focus as we can easily dogfood these capabilities as they are implemented."
  maturity:
  marketing: false

intel_code_security:
  name: "Intelligent Code Security"
  stage: ModelOps
  label: "group::machine learning"
  documentation:
  direction: /direction/modelops/applied_ml/
  description: "Automatic detection of insecure coding (e.g., code quality) as well as automatic remediation of insecure coding / security vulnerabilities. This will enable us to provide “auto-healing” as well as empower customers with solutions so they can reduce future insecure coding practices. Our customers are asking us to partner with them to reduce their overall risk. This is our final focus and will expand our capabilities in the Verify and Secure stages."
  maturity:
  marketing: false

mlops:
  name: "MLOps"
  stage: ModelOps
  label: "group::machine learning"
  documentation:
  direction: /direction/modelops/ml-ai/mlops/
  description: "Enable Customers to run data science workloads on GitLab"
  maturity:
  marketing: false

dataops:
  name: "DataOps"
  stage: ModelOps
  label: "group::machine learning"
  documentation:
  direction: /direction/modelops/dataops/
  description: "This group goes beyond enhancing our existing stages and offering. DataOps will help organizations turn disparate, raw data into data-driven decisions. This will enable new efficiencies within organizations using GitLab, and these new capabilities will be particularly attractive to a CTO, CIO, and data teams."
  maturity:
  marketing: false

mobile_signing_deployment:
  name: "Mobile App Signing & Deployment Management"
  stage: mobile
  label: "group::MobileDevOps"
  documentation:
  direction: /direction/mobile/mobile-devops/mobile-signing-deployment
  description: ""
  maturity:
  marketing: false

five_minute_production_app:
  name: "5 Minute Production App"
  stage: deploy
  label: "group::5MinProduction"
  documentation:
  direction: /direction/5-min-production
  description: "Improve the ability for Web App developers to quickly create and scale their applications."
  roi: false
  maturity:
  marketing: false
